Adds a test phone number to an RCS agent for testing purposes.
PUT
/
messaging
/
rcs
/
test_number_invite
/
{id}
/
{phone_number}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging.rcs.inviteTestNumber('phone_number', { id: 'id' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging.rcs.invite_test_number(
phone_number="phone_number",
id="id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging.Rcs.InviteTestNumber(
context.TODO(),
"phone_number",
telnyx.MessagingRcInviteTestNumberParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging.rcs.RcInviteTestNumberParams;
import com.telnyx.sdk.models.messaging.rcs.RcInviteTestNumberResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RcInviteTestNumberParams params = RcInviteTestNumberParams.builder()
.id("id")
.phoneNumber("phone_number")
.build();
RcInviteTestNumberResponse response = client.messaging().rcs().inviteTestNumber(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging.rcs.invite_test_number("phone_number", id: "id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging->rcs->inviteTestNumber(
'phone_number', id: 'id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging:rcs invite-test-number \
--api-key 'My API Key' \
--id id \
--phone-number phone_numbercurl --request PUT \
--url https://api.telnyx.com/v2/messaging/rcs/test_number_invite/{id}/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "rcs.test_number_invite",
"agent_id": "TestAgent",
"phone_number": "+13125551234",
"status": "PENDING"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
RCS agent ID
Phone number in E164 format to invite for testing
Response
Test number successfully invited to RCS agent
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.messaging.rcs.inviteTestNumber('phone_number', { id: 'id' });
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.messaging.rcs.invite_test_number(
phone_number="phone_number",
id="id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Messaging.Rcs.InviteTestNumber(
context.TODO(),
"phone_number",
telnyx.MessagingRcInviteTestNumberParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messaging.rcs.RcInviteTestNumberParams;
import com.telnyx.sdk.models.messaging.rcs.RcInviteTestNumberResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RcInviteTestNumberParams params = RcInviteTestNumberParams.builder()
.id("id")
.phoneNumber("phone_number")
.build();
RcInviteTestNumberResponse response = client.messaging().rcs().inviteTestNumber(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.messaging.rcs.invite_test_number("phone_number", id: "id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->messaging->rcs->inviteTestNumber(
'phone_number', id: 'id'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging:rcs invite-test-number \
--api-key 'My API Key' \
--id id \
--phone-number phone_numbercurl --request PUT \
--url https://api.telnyx.com/v2/messaging/rcs/test_number_invite/{id}/{phone_number} \
--header 'Authorization: Bearer <token>'{
"data": {
"record_type": "rcs.test_number_invite",
"agent_id": "TestAgent",
"phone_number": "+13125551234",
"status": "PENDING"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}